
#include <iostream>
#include <string>
#include <cstdlib>
using namespace std;
#define SHRT_MAX  -32768
#define SHRT_MIN 32767
#define USHRT_MIN 0
#define USHRT_MAX 65535
#define INT_MIN -2147483648
#define INT_MAX 2147483647
#define UINT_MIN 0
#define UINT_MAX 4294967295
#define LONG_MIN -9223372036854775808
#define LONG_MAX 9223372036854775807
#define ULONG_MIN 0
#define ULONG_MAX 18446744073709551615

int getInteger() 
{
    char str[100];
    int check = 0;
    int x;
    while (true) 
    {
        check = 0;
        cin >> str;
        for (int i = 0; i < strlen(str); i++) {
            if (!isdigit(str[i])) 
            {
                check = 1;
                break;
            }
        }
        if (check == 1) 
        {
            cout << "Not a integer values enter again: ";
        }
        else 
        {
            x = stoi(str);
            return x;
        }
    }
}

void firstQuestion()
{
    char str[100];
    int age;
    cout << "Please enter your initial: ";
    cin >> str;
    cout << "Please enter your age ";
    age = getInteger();
    age = age * 365;
    cout <<str<< ", did you know you are at least "<<age<<" days old" << endl;
}

void secondQuestion() 
{
    int arr[5];
    for (int i =0;i<5;i++) 
    {
        cout << "Enter a number: ";
        arr[i] = getInteger();
    }
    cout << "You entered: ";
    for (int i = 0; i < 5; i++)
    {
        cout << arr[i];
    }

}

void thirdQuestion()
{
    int a, b, c, solution, secondSolution;
    cout << " Enter value for a: ";
    a = getInteger();
    cout << " Enter value for b: ";
    b = getInteger();
    cout << " Enter value for c: ";
    c = getInteger();
    solution = a + 1 * b + 2 - c*(a + 1) * (b + 2) - c;
    secondSolution = 20 * (a + 1) * (b + 2) - c;
    cout << "First Equation Answer: " << solution << endl;
    cout << "Second Equation Answer: " << secondSolution << endl;
}


void fourthQuestion() 
{
    
    cout << "ushort " << USHRT_MIN << " to " << USHRT_MAX << endl;
    cout << "short " <<SHRT_MIN << " to " << SHRT_MAX << endl;
    cout << "int " << INT_MIN << " to " << INT_MAX << endl;
    cout << "uint " << UINT_MIN << " to " << UINT_MAX << endl;
   // cout << "longlong " << LONG_MIN << " to " << LONG_MAX << endl;
    cout << "ulonglong " << ULONG_MIN << " to " << ULONG_MAX << endl;
    
}

void fifthQuestion() 
{
    char name[32];
    cout << "Please enter your name: ";
    cin.getline(name, 32);
    cout << "Hello there "<<name<<", you are interesting and full of facts!" << endl;
}

void sixthQuestion()
{
    int age;
    cout << "How old are you? ";
    age = getInteger();
    if (age <= 16)
    {
        cout << "I am sorry, but you are too young to play this game. Bye! " << endl;
    }
    else if (age > 16 && age < 30)
    {
        cout << "Your life is slowly slipping away." << endl;
    }
    else if (age > 30 && age < 50)
    {
        cout << "Your are near half centuary." << endl;
    }
    else 
    {
        cout << "Your have known a lot about this world now." << endl;
    }

}

int getRandomNumber() 
{
    return rand();
}

void seventhQuestion()
{
    int num;
    cout << "Please enter an even number: ";
    num = getInteger();
    if (num % 2 == 0)
    {
        cout << "Nice!" << endl;
    }
    else 
    {
        cout << "Boo!" << endl;
    }
}

void eightQuestion() 
{
    int firstNumber, secondNumber, thirdNumber;
    int divisor;
    cout << " Please enter a divisor: ";
    divisor = getInteger();
    firstNumber = getRandomNumber();
    secondNumber = getRandomNumber();
    thirdNumber = getRandomNumber();

    if (firstNumber % divisor == 0) 
    {
        cout << firstNumber<<" - yes" << endl;
    }
    else 
    {
        cout << firstNumber << " - no" << endl;
    }

    if (secondNumber % divisor == 0)
    {
        cout << secondNumber << " - yes" << endl;
    }
    else
    {
        cout << secondNumber << " - no" << endl;
    }

    if (thirdNumber % divisor == 0)
    {
        cout << thirdNumber << " - yes" << endl;
    }
    else
    {
        cout << thirdNumber << " - no" << endl;
    }

}

void ninethQuestion() 
{
    int choice;
    cout << "What color Popsicle do you want from the freezer? 1) Red 2) Green 3) Blue 13) Orange ";
    choice = getInteger();
    switch (choice)
    {
    case 1: 
    {
        cout << "Ah! Red cherry, good choice!" << endl;
        break;
    }
    case 2:
    {
        cout << "Ah! Green Water Melon, great taste!" << endl;
        break;
    }
    case 3:
    {
        cout << "Ah! Blue Mint, great choice!" << endl;
        break;
    }
    case 4:
    {
        cout << "Uh... I don't know how long that's been in there... " << endl;
        break;
    }
    default: 
    {
        cout << "Invalid Choice" << endl;
        break;
    }   
    }
}


int getRandomNumberInRange(int range)
{
    return rand() % range;
}
void tenthQuestion() 
{
    int choice;
    int num;
    cout << " Output Difficulty Levels 1) Easy 2) Medium 3) Hard Whatll it be? ";
    choice = getInteger();
    switch (choice)
    {
    case 1:
    {
        num = getRandomNumberInRange(15);
        cout << "You will have to fight "<<num<<" enemies!" << endl;
        break;
    }
    case 2:
    {
        num = getRandomNumberInRange(30);
        cout << "You will have to fight " << num << " enemies!" << endl;
        break;
    }
    case 3:
    {
        num = getRandomNumberInRange(45);
        cout << "You will have to fight " << num << " enemies!" << endl;
        break;
    }
    default:
    {
        cout << "Invalid Choice" << endl;
        break;
    }
    }
}

int main()
{
    firstQuestion();
    secondQuestion();
    thirdQuestion();
    fourthQuestion();
    fifthQuestion();
    sixthQuestion();
    seventhQuestion();
    eightQuestion();
    ninethQuestion();
    tenthQuestion();
    
}

